var scriptName = "ClickAura";
var scriptAuthor = "Soulplexis";
var scriptVersion = 1.0;

var KillAura = moduleManager.getModule("KillAura");

function ClickAura() {
    this.getName = function() {
        return "ClickAura";
    }
    this.getCategory = function() {
        return "Combat";   
    }

    this.getDescription = function() {
        return "ClickAura modification for KillAura.";
    }
	this.onUpdate = function() {
		if(!mc.gameSettings.keyBindAttack.pressed) {
		KillAura.setState(false);
	} else {
		KillAura.setState(true);
	}
	}
	this.onDisable = function() {
		KillAura.setState(false);
	}
}

var clickAura = new ClickAura();
var clickAuraClient;

function onEnable() {
    clickAuraClient = moduleManager.registerModule(clickAura);
}

function onDisable() {
    moduleManager.unregisterModule(clickAuraClient);
}